madshi bug tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000105madVRbugpublic2013-07-08 10:522014-03-06 21:24
Reporter6233638 
Assigned Tomadshi 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSWindows 8OS Version6.2 (Build 9200)
Summary0000105: Large number of dropped and repeated frames at the start of playback in FSE mode when CPU queue size exceeds GPU queue size
DescriptionIf the CPU queue is larger than the GPU queue, there are a large number of dropped and repeated frames at the start of playback in FSE mode.

This occurs whether software or hardware accelerated decoding is used, and happens at any size, whether it is 5/4, 28/24, or 128/24.

Windowed mode is not affected, and "delay playback start until render queue is full" is enabled.
TagsNo tags attached.
madVR Version0.86.8
Media Player (with version info)JRiver Media Center 18.0.206
Splitter (with version info)LAV Splitter 0.58
Decoder (with version info)LAV Video 0.58
DecodingDXVA2 Copyback
Deinterlacingnone (progressive)
DXVA2 Scaling Activeno
Aero / Desktop CompositionOn
Problem occurs with modefullscreen exclusive mode
GPU ManufacturerNVidia
GPU ModelGTX 570
GPU Driver Version320.49 WHQL
Attached Files

- Relationships

-  Notes
(0000434)
madshi (administrator)
2014-03-04 15:41

Tested with v0.87.4:

CPU queue size: 24
GPU queue size: 12
delay playback start until...: active
MPC-HC launch files in fullscreen: active

Zero dropped or repeated frames here. How can I reproduce this problem, preferably with MPC-HC?
(0000477)
6233638 (reporter)
2014-03-06 21:12

0.87.6 fixes this.
 
I tested a number of builds and was able to reproduce it on everything from 0.86.9 to 0.87.5
 
I suspect it's the refresh rate fix that did it.
 
Thinking back, I seem to recall this being introduced around the time that things were changed to try and fix the refresh rate on Windows 8.

- Issue History
Date Modified Username Field Change
2013-07-08 10:52 6233638 New Issue
2014-03-04 15:41 madshi Note Added: 0000434
2014-03-04 15:41 madshi Assigned To => madshi
2014-03-04 15:41 madshi Status new => feedback
2014-03-06 21:12 6233638 Note Added: 0000477
2014-03-06 21:12 6233638 Status feedback => assigned
2014-03-06 21:12 6233638 Status assigned => resolved
2014-03-06 21:12 6233638 Resolution open => fixed
2014-03-06 21:24 madshi Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker